Bug 852320 - undefined method `library?' for nil:NilClass (NoMethodError) when creating a changeset without an environment
undefined method `library?' for nil:NilClass (NoMethodError) when creating a...
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: Bryan Kearney
Kedar Bidarkar
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2012-08-28 03:58 EDT by Kedar Bidarkar
Modified: 2013-09-19 14:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-09-19 14:13:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kedar Bidarkar 2012-08-28 03:58:15 EDT
Description of problem:

undefined method `library?' for nil:NilClass (NoMethodError)  when creating a changeset without an environment

Version-Release number of selected component (if applicable):
Katello Version: 1.1.6-1.git.19.0c0be49.el6 

How reproducible:

Upon creating a changeset, without an environment

Steps to Reproduce:
Actual results:
Throws an error with,

undefined method `library?' for nil:NilClass (NoMethodError) 

Expected results:

The error needs to be properly handled and inform the user of the missing environment.

Additional info:
Comment 2 Pavel Pokorny 2012-09-11 03:00:09 EDT
Fixed in cf618a2
Comment 3 Kedar Bidarkar 2012-11-02 04:38:43 EDT
I checked with the 2012/10/28 build and this issue appears fixed, not sure why it's not moved to ON_QA, any reasons?
Comment 5 Mike McCune 2013-08-16 14:03:12 EDT
getting rid of 6.0.0 version since that doesn't exist
Comment 6 Mike McCune 2013-09-19 14:13:54 EDT
These bugs have been resolved in upstream projects for a period of months so I'm mass-closing them as CLOSED:UPSTREAM.  If this is a mistake feel free to re-open.

Note You need to log in before you can comment on or make changes to this bug.